{
    "version": "1.0.0.3",
    "description": "Service that connects or disconnects a wireguard tunnel based on the current conditions.",
    "license": "None",
    "homepage": "https://www.kunago.com",
    "hash": "sha512:9DA88B856C33FDD441A483D6A68899399454E2A130056B401E99C3CFC89B4C258ACEFF07AA22B6DFE7C089EAD11D7FFDD517347E73DD054986EAEBC93AEB26D0",
    "url": "https://git.apason.cz/kunago/scoop-bucket/raw/branch/master/programs/kunago_wireguard/kunago_wireguard-1.0.0.3.7z",
    "bin": [
        "kunago_wireguard.exe"
    ],
    "post-install": [
        "$task = \"Kunago wireguard autorun\"",
        "Register-ScheduledTask -Xml (Get-Content \"$dir\\data\\kunago_wireguard_schedule.xml\" | Out-String) -TaskName \"$task\"",
        "Start-Sleep -Seconds 2.0",
        "Start-ScheduledTask -TaskName \"$task\""
    ],
    "pre_uninstall": [
        "$task = \"Kunago wireguard autorun\"",
        "Stop-ScheduledTask -TaskName \"$task\"",
        "Start-Sleep -Seconds 2.0",
        "Stop-Process -Name \"kunago_wireguard\" -Force",
        "Start-Sleep -Seconds 2.0",
        "Unregister-ScheduledTask -TaskName \"$task\""
    ],
    "shortcuts": [
        [
            "kunago_wireguard.exe",
            "Wireguard autostart"
        ]
    ]
}
